<template>
  <el-button v-if="!confirming" @click="confirm" v-bind="$attrs"
    ><slot
  /></el-button>
  <el-button v-else v-bind="$attrs" type="danger" @click="act"
    ><slot name="confirm">Are you sure? </slot></el-button
  >
</template>
<script>
import { pause } from "~/lib/utils";
let i = 1;

export default {
  data() {
    return {
      confirming: null,
    };
  },
  methods: {
    async confirm() {
      const j = (this.confirming = ++i);
      await pause(5000);

      if (this.confirming == j) this.confirming = null;
    },
    act($event) {
      this.$emit("click", $event);
      this.confirming = null;
    },
  },
};
</script>
